<?php

// $Id: convert.php 491 2007-06-23 08:47:12Z Ruebenwurzel $

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2007, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*
Character Conversion file
to convert some entities to there 7bit equivalents
*/
if(!defined('WB_URL')) {
	header('Location: ../index.php');
	exit(0);
}

$conversion_array = array(

//### LATIN
'&Aacute;'=>'A','&aacute;'=>'a','&Acirc;'=>'A','&acirc;'=>'a','&AElig;'=>'AE','&aelig;'=>'ae','&Agrave;'=>'A','&agrave;'=>'a','&Aring;'=>'A','&aring;'=>'a','&Atilde;'=>'A','&atilde;'=>'a','&Auml;'=>'AE','&auml;'=>'ae',
'&Ccedil;'=>'C','&ccedil;'=>'c',
'&Eacute;'=>'E','&eacute;'=>'e','&Ecirc;'=>'E','&ecirc;'=>'e','&Egrave;'=>'E','&egrave;'=>'e','&Euml;'=>'E','&euml;'=>'e',
'&Iacute;'=>'I','&iacute;'=>'i','&Icirc;'=>'I','&icirc;'=>'i','&Igrave;'=>'I','&igrave;'=>'i','&Iuml;'=>'I','&iuml;'=>'i',
'&Ntilde;'=>'N','&ntilde;'=>'n',
'&Oacute;'=>'O','&oacute;'=>'o','&Ocirc;'=>'O','&ocirc;'=>'o','&OElig;'=>'OE','&oelig;'=>'oe','&Ograve;'=>'O','&ograve;'=>'o','&Otilde;'=>'O','&otilde;'=>'o','&Ouml;'=>'OE','&ouml;'=>'oe',
'&Scaron;'=>'S','&scaron;'=>'s',
'&szlig;'=>'ss',
'&Uacute;'=>'U','&uacute;'=>'u','&Ucirc;'=>'U','&ucirc;'=>'u','&Ugrave;'=>'U','&ugrave;'=>'u','&Uuml;'=>'UE','&uuml;'=>'ue',
'&Yacute;'=>'Y','&yacute;'=>'y','&Yuml;'=>'Y','&yuml;'=>'y',
'&#138;'=>'S',
'&#140;'=>'OE','&#156;'=>'oe',
'&#154;'=>'s',
'&#159;'=>'Y',
'&copy;'=>'(c)','&reg;'=>'(r)','&ETH;'=>'D','&times;'=>'x','&Oslash;'=>'O','&THORN;'=>'TH','&eth;'=>'d','&oslash;'=>'o','&thorn;'=>'th',
'&#39;'=>'-','&apos;'=>'-','&quot;'=>'-',
// latin extended-A
'&#256;'=>'A','&#257;'=>'a','&#258;'=>'A','&#259;'=>'a','&#260;'=>'A','&#261;'=>'a',
'&#262;'=>'C','&#263;'=>'c','&#264;'=>'C','&#265;'=>'c','&#269;'=>'c','&#268;'=>'C','&#267;'=>'c','&#266;'=>'C',
'&#273;'=>'d','&#272;'=>'D','&#271;'=>'d','&#270;'=>'D',
'&#275;'=>'e','&#274;'=>'E','&#276;'=>'E','&#277;'=>'e','&#278;'=>'E','&#279;'=>'e','&#280;'=>'E','&#281;'=>'e','&#282;'=>'E','&#283;'=>'e',
'&#284;'=>'G','&#285;'=>'g','&#286;'=>'G','&#287;'=>'g','&#288;'=>'G','&#289;'=>'g','&#290;'=>'G','&#291;'=>'g',
'&#292;'=>'H','&#293;'=>'h','&#294;'=>'H','&#295;'=>'h',
'&#296;'=>'I','&#297;'=>'i','&#298;'=>'I','&#299;'=>'i','&#300;'=>'I','&#301;'=>'i','&#302;'=>'I','&#303;'=>'i','&#304;'=>'I','&#305;'=>'i',
'&#306;'=>'IJ','&#307;'=>'ij',
'&#308;'=>'J','&#309;'=>'j',
'&#310;'=>'K','&#311;'=>'k','&#312;'=>'k',
'&#313;'=>'L','&#314;'=>'l','&#315;'=>'L','&#316;'=>'l','&#317;'=>'L','&#318;'=>'l','&#319;'=>'L','&#320;'=>'l','&#321;'=>'L','&#322;'=>'l',
'&#323;'=>'N','&#324;'=>'n','&#325;'=>'N','&#326;'=>'n','&#327;'=>'N','&#328;'=>'n','&#329;'=>'n','&#330;'=>'N','&#331;'=>'n',
'&#332;'=>'O','&#333;'=>'o','&#334;'=>'O','&#335;'=>'o','&#336;'=>'O','&#337;'=>'o',
'&#340;'=>'R','&#341;'=>'r','&#342;'=>'R','&#343;'=>'r','&#344;'=>'R','&#345;'=>'r',
'&#346;'=>'S','&#347;'=>'s','&#348;'=>'S','&#349;'=>'s','&#350;'=>'S','&#351;'=>'s',
'&#354;'=>'T','&#355;'=>'t','&#356;'=>'T','&#357;'=>'t','&#358;'=>'T','&#359;'=>'t',
'&#360;'=>'U','&#361;'=>'u','&#362;'=>'U','&#363;'=>'u','&#364;'=>'U','&#365;'=>'u','&#366;'=>'U','&#367;'=>'u','&#368;'=>'U','&#369;'=>'u','&#370;'=>'U','&#371;'=>'u',
'&#372;'=>'W','&#373;'=>'w',
'&#374;'=>'Y','&#375;'=>'y','&#376;'=>'Y',
'&#377;'=>'Z','&#378;'=>'z','&#379;'=>'Z','&#380;'=>'z','&#381;'=>'Z','&#382;'=>'z',
'&#383;'=>'s',
'&#64256;'=>'ff','&#64257;'=>'fi','&#64258;'=>'fl','&#64259;'=>'ffi','&#64260;'=>'ffl',
'&#64261;'=>'st',
'&#64262;'=>'st',
// latin extended-b
'&#384;'=>'b','&#385;'=>'B','&#386;'=>'B','&#387;'=>'b','&#388;'=>'6','&#389;'=>'6',
'&#390;'=>'O','&#391;'=>'C','&#392;'=>'c','&#393;'=>'D','&#394;'=>'D','&#395;'=>'D',
'&#396;'=>'d','&#397;'=>'d','&#398;'=>'E','&#399;'=>'e','&#400;'=>'E','&#401;'=>'F',
'&fnof;'=>'f','&#403;'=>'G','&#404;'=>'G','&#405;'=>'hw','&#406;'=>'I','&#407;'=>'I',
'&#408;'=>'K','&#409;'=>'k','&#410;'=>'l','&#411;'=>'l','&#412;'=>'M','&#413;'=>'N',
'&#414;'=>'n','&#415;'=>'O','&#416;'=>'O','&#417;'=>'o','&#418;'=>'OI','&#419;'=>'oi',
'&#420;'=>'P','&#421;'=>'p','&#422;'=>'YR','&#423;'=>'2','&#424;'=>'2','&#425;'=>'ESH',
'&#426;'=>'esh','&#427;'=>'t','&#428;'=>'T','&#429;'=>'t','&#430;'=>'T','&#431;'=>'U',
'&#432;'=>'u','&#433;'=>'V','&#434;'=>'v','&#435;'=>'Y','&#436;'=>'y','&#437;'=>'Z',
'&#438;'=>'z','&#439;'=>'EZH','&#440;'=>'EZH','&#441;'=>'ezh','&#442;'=>'ezh','&#443;'=>'2',
'&#444;'=>'5','&#445;'=>'5','&#446;'=>'-','&#447;'=>'w','&#448;'=>'-','&#449;'=>'-',
'&#450;'=>'-','&#451;'=>'-','&#452;'=>'DZ','&#453;'=>'DZ','&#454;'=>'dz','&#455;'=>'LJ',
'&#456;'=>'Lj','&#457;'=>'lj','&#458;'=>'NJ','&#459;'=>'Nj','&#460;'=>'nj','&#461;'=>'A',
'&#462;'=>'a','&#463;'=>'I','&#464;'=>'i','&#465;'=>'O','&#466;'=>'o','&#467;'=>'U',
'&#468;'=>'u','&#469;'=>'U','&#470;'=>'u','&#471;'=>'U','&#472;'=>'u','&#473;'=>'U',
'&#474;'=>'u','&#475;'=>'U','&#476;'=>'u','&#477;'=>'e','&#478;'=>'A','&#479;'=>'a',
'&#480;'=>'A','&#481;'=>'a','&#482;'=>'AE','&#483;'=>'ae','&#484;'=>'G','&#485;'=>'g',
'&#486;'=>'G','&#487;'=>'g','&#488;'=>'K','&#489;'=>'k','&#490;'=>'O','&#491;'=>'o',
'&#492;'=>'O','&#493;'=>'o','&#494;'=>'EZH','&#495;'=>'ezh','&#496;'=>'j','&#497;'=>'DZ',
'&#498;'=>'Dz','&#499;'=>'dz','&#500;'=>'G','&#501;'=>'g','&#502;'=>'HW','&#503;'=>'W',
'&#504;'=>'N','&#505;'=>'n','&#506;'=>'A','&#507;'=>'a','&#508;'=>'AE','&#509;'=>'ae',
'&#510;'=>'O','&#511;'=>'o','&#512;'=>'A','&#513;'=>'a','&#514;'=>'A','&#515;'=>'a',
'&#516;'=>'E','&#517;'=>'e','&#518;'=>'E','&#519;'=>'e','&#520;'=>'I','&#521;'=>'i',
'&#522;'=>'I','&#523;'=>'i','&#524;'=>'O','&#525;'=>'o','&#526;'=>'O','&#527;'=>'o',
'&#528;'=>'R','&#529;'=>'r','&#530;'=>'R','&#531;'=>'r','&#532;'=>'U','&#533;'=>'u',
'&#534;'=>'U','&#535;'=>'u','&#536;'=>'S','&#537;'=>'s','&#538;'=>'T','&#539;'=>'t',
'&#540;'=>'Y','&#541;'=>'y','&#542;'=>'H','&#543;'=>'h','&#544;'=>'n','&#545;'=>'d',
'&#546;'=>'OU','&#547;'=>'ou','&#548;'=>'Z','&#549;'=>'z','&#550;'=>'A','&#551;'=>'a',
'&#552;'=>'E','&#553;'=>'e','&#554;'=>'O','&#555;'=>'o','&#556;'=>'O','&#557;'=>'o',
'&#558;'=>'O','&#559;'=>'o','&#560;'=>'O','&#561;'=>'o','&#562;'=>'Y','&#563;'=>'y',
'&#564;'=>'l','&#565;'=>'n','&#566;'=>'t','&#567;'=>'j','&#568;'=>'db','&#569;'=>'qp',
'&#570;'=>'A','&#571;'=>'C','&#572;'=>'c','&#573;'=>'L','&#574;'=>'T','&#575;'=>'s',
'&#576;'=>'z','&#577;'=>'-',
// latin extended additional
'&#7680;'=>'A','&#7681;'=>'a',
'&#7682;'=>'B','&#7683;'=>'b','&#7684;'=>'B','&#7685;'=>'b','&#7686;'=>'B','&#7687;'=>'b',
'&#7688;'=>'C','&#7689;'=>'c',
'&#7690;'=>'D','&#7691;'=>'d','&#7692;'=>'D','&#7693;'=>'d','&#7694;'=>'D','&#7695;'=>'d','&#7696;'=>'D','&#7697;'=>'d','&#7698;'=>'D','&#7699;'=>'d',
'&#7700;'=>'E','&#7701;'=>'e','&#7702;'=>'E','&#7703;'=>'e','&#7704;'=>'E','&#7705;'=>'e','&#7706;'=>'E','&#7707;'=>'e','&#7708;'=>'E','&#7709;'=>'e',
'&#7710;'=>'F','&#7711;'=>'f',
'&#7712;'=>'G','&#7713;'=>'g',
'&#7714;'=>'H','&#7715;'=>'h','&#7716;'=>'H','&#7717;'=>'h','&#7718;'=>'H','&#7719;'=>'h','&#7720;'=>'H','&#7721;'=>'h','&#7722;'=>'H','&#7723;'=>'h',
'&#7724;'=>'I','&#7725;'=>'i','&#7726;'=>'I','&#7727;'=>'i',
'&#7728;'=>'K','&#7729;'=>'k','&#7730;'=>'K','&#7731;'=>'k','&#7732;'=>'K','&#7733;'=>'k',
'&#7734;'=>'L','&#7735;'=>'l','&#7736;'=>'L','&#7737;'=>'l','&#7738;'=>'L','&#7739;'=>'l','&#7740;'=>'L','&#7741;'=>'l',
'&#7742;'=>'M','&#7743;'=>'m','&#7744;'=>'M','&#7745;'=>'m','&#7746;'=>'M','&#7747;'=>'m',
'&#7748;'=>'N','&#7749;'=>'n','&#7750;'=>'N','&#7751;'=>'n','&#7752;'=>'N','&#7753;'=>'n','&#7754;'=>'N','&#7755;'=>'n',
'&#7756;'=>'O','&#7757;'=>'o','&#7758;'=>'O','&#7759;'=>'o','&#7760;'=>'O','&#7761;'=>'o','&#7762;'=>'O','&#7763;'=>'o',
'&#7764;'=>'P','&#7765;'=>'p','&#7766;'=>'P','&#7767;'=>'p',
'&#7768;'=>'R','&#7769;'=>'r','&#7770;'=>'R','&#7771;'=>'r','&#7772;'=>'R','&#7773;'=>'r','&#7774;'=>'R','&#7775;'=>'r',
'&#7776;'=>'S','&#7777;'=>'s','&#7778;'=>'S','&#7779;'=>'s','&#7780;'=>'S','&#7781;'=>'s','&#7782;'=>'S','&#7783;'=>'s','&#7784;'=>'S','&#7785;'=>'s',
'&#7786;'=>'T','&#7787;'=>'t','&#7788;'=>'T','&#7789;'=>'t','&#7790;'=>'T','&#7791;'=>'t','&#7792;'=>'T','&#7793;'=>'t',
'&#7794;'=>'U','&#7795;'=>'u','&#7796;'=>'U','&#7797;'=>'u','&#7798;'=>'U','&#7799;'=>'u','&#7800;'=>'U','&#7801;'=>'u','&#7802;'=>'U','&#7803;'=>'u',
'&#7804;'=>'V','&#7805;'=>'v','&#7806;'=>'V','&#7807;'=>'v',
'&#7808;'=>'W','&#7809;'=>'w','&#7810;'=>'W','&#7811;'=>'w','&#7812;'=>'W','&#7813;'=>'w','&#7814;'=>'W','&#7815;'=>'w','&#7816;'=>'W','&#7817;'=>'w',
'&#7818;'=>'X','&#7819;'=>'x','&#7820;'=>'X','&#7821;'=>'x',
'&#7822;'=>'Y','&#7823;'=>'y',
'&#7824;'=>'Z','&#7825;'=>'z','&#7826;'=>'Z','&#7827;'=>'z','&#7828;'=>'Z','&#7829;'=>'z',
'&#7830;'=>'h',
'&#7831;'=>'t',
'&#7832;'=>'w',
'&#7833;'=>'y',
'&#7834;'=>'a',
'&#7835;'=>'f',
'&#7840;'=>'A','&#7841;'=>'a','&#7842;'=>'A','&#7843;'=>'a','&#7844;'=>'A','&#7845;'=>'a','&#7846;'=>'A','&#7847;'=>'a','&#7848;'=>'A','&#7849;'=>'a',
'&#7850;'=>'A','&#7851;'=>'a','&#7852;'=>'A','&#7853;'=>'a','&#7854;'=>'A','&#7855;'=>'a','&#7856;'=>'A','&#7857;'=>'a','&#7858;'=>'A','&#7859;'=>'a','&#7860;'=>'A','&#7861;'=>'a','&#7862;'=>'A','&#7863;'=>'a',
'&#7864;'=>'E','&#7865;'=>'e','&#7866;'=>'E','&#7867;'=>'e','&#7868;'=>'E','&#7869;'=>'e','&#7870;'=>'E','&#7871;'=>'e','&#7872;'=>'E','&#7873;'=>'e','&#7874;'=>'E','&#7875;'=>'e','&#7876;'=>'E','&#7877;'=>'e','&#7878;'=>'E','&#7879;'=>'e',
'&#7880;'=>'I','&#7881;'=>'i','&#7882;'=>'I','&#7883;'=>'i',
'&#7884;'=>'O','&#7885;'=>'o','&#7886;'=>'O','&#7887;'=>'o','&#7888;'=>'O','&#7889;'=>'o','&#7890;'=>'O','&#7891;'=>'o','&#7892;'=>'O','&#7893;'=>'o','&#7894;'=>'O','&#7895;'=>'o',
'&#7896;'=>'O','&#7897;'=>'o','&#7898;'=>'O','&#7899;'=>'o','&#7900;'=>'O','&#7901;'=>'o','&#7902;'=>'O','&#7903;'=>'o','&#7904;'=>'O','&#7905;'=>'o','&#7906;'=>'O','&#7907;'=>'o',
'&#7908;'=>'U','&#7909;'=>'u','&#7910;'=>'U','&#7911;'=>'u','&#7912;'=>'U','&#7913;'=>'u','&#7914;'=>'U','&#7915;'=>'u','&#7916;'=>'U','&#7917;'=>'u','&#7918;'=>'U','&#7919;'=>'u','&#7920;'=>'U','&#7921;'=>'u',
'&#7922;'=>'Y','&#7923;'=>'y','&#7924;'=>'Y','&#7925;'=>'y','&#7926;'=>'Y','&#7927;'=>'y','&#7928;'=>'Y','&#7929;'=>'y',

//### CYRILLIC (transliteration following iso 9:1995)
'&#1040;'=>'A','&#1072;'=>'a', // A
'&#1232;'=>'A','&#1233;'=>'a', // A WITH BREVE
'&#1234;'=>'A','&#1235;'=>'a', // A WITH DIAERESIS
'&#1236;'=>'A','&#1237;'=>'a', // LIGATURE A IE
'&#1240;'=>'A','&#1241;'=>'a', // SCHWA
'&#1242;'=>'A','&#1243;'=>'a', // SCHWA WITH DIAERESIS
'&#1041;'=>'B','&#1073;'=>'b', // BE
'&#1042;'=>'V','&#1074;'=>'v', // VE
'&#1043;'=>'G','&#1075;'=>'g', // GHE
'&#1168;'=>'G','&#1169;'=>'g', // GHE WITH UPTURN
'&#1172;'=>'G','&#1173;'=>'g', // GHE WITH MIDDLE HOOK
'&#1170;'=>'G','&#1171;'=>'g', // GHE WITH STROKE
'&#1270;'=>'G','&#1271;'=>'g', // GHE WITH DESCENDER
'&#1044;'=>'D','&#1076;'=>'d', // DE
'&#1026;'=>'D','&#1106;'=>'d', // DJE
'&#1027;'=>'G','&#1107;'=>'g', // GJE
'&#1024;'=>'E','&#1104;'=>'e', // IE WITH GRAVE
'&#1045;'=>'E','&#1077;'=>'e', // IE
'&#1025;'=>'E','&#1105;'=>'e', // IO
'&#1238;'=>'E','&#1239;'=>'e', // IE WITH BREVE
'&#1028;'=>'E','&#1108;'=>'e', // UKRAINIAN IE
'&#1212;'=>'C','&#1213;'=>'c', // ABKHASIAN CHE
'&#1214;'=>'C','&#1215;'=>'c', // ABKHASIAN CHE WITH DESCENDER
'&#1046;'=>'Z','&#1078;'=>'z', // ZHE
'&#1217;'=>'Z','&#1218;'=>'z', // ZHE WITH BREVE
'&#1244;'=>'Z','&#1245;'=>'z', // ZHE WITH DIAERESIS
'&#1174;'=>'Z','&#1175;'=>'z', // ZHE WITH DESCENDER
'&#1047;'=>'Z','&#1079;'=>'z', // ZE
'&#1246;'=>'Z','&#1247;'=>'z', // ZE WITH DIAERESIS
'&#1029;'=>'Z','&#1109;'=>'z', // DZE
'&#1248;'=>'Z','&#1249;'=>'z', // ABKHASIAN DZE
'&#1037;'=>'I','&#1117;'=>'i', // I WITH GRAVE
'&#1048;'=>'I','&#1080;'=>'i', // I
'&#1250;'=>'I','&#1251;'=>'i', // I WITH MACRON
'&#1252;'=>'I','&#1253;'=>'i', // I WITH DIAERESIS
'&#1030;'=>'I','&#1110;'=>'i', // BYELORUSSIAN-UKRAINIAN I
'&#1031;'=>'I','&#1111;'=>'i', // YI
'&#1049;'=>'J','&#1081;'=>'j', // SHORT I
'&#1032;'=>'J','&#1112;'=>'j', // JE
'&#1050;'=>'K','&#1082;'=>'k', // KA
'&#1178;'=>'K','&#1179;'=>'k', // KA WITH DESCENDER
'&#1180;'=>'K','&#1181;'=>'k', // KA WITH VERTICAL STROKE
'&#1182;'=>'K','&#1183;'=>'k', // KA WITH STROKE
'&#1184;'=>'K','&#1185;'=>'k', // BASHKIR KA
'&#1051;'=>'L','&#1083;'=>'l', // EL
'&#1033;'=>'L','&#1113;'=>'l', // LJE
'&#1052;'=>'M','&#1084;'=>'m', // EM
'&#1053;'=>'N','&#1085;'=>'n', // EN
'&#1034;'=>'N','&#1114;'=>'n', // NJE
'&#1188;'=>'N','&#1189;'=>'n', // LIGATURE EN GHE
'&#1186;'=>'N','&#1187;'=>'n', // EN WITH DESCENDER
'&#1054;'=>'O','&#1086;'=>'o', // O
'&#1254;'=>'O','&#1255;'=>'o', // O WITH DIAERESIS
'&#1256;'=>'O','&#1257;'=>'o', // BARRED O
'&#1258;'=>'O','&#1259;'=>'o', // BARRED O WITH DIAERESIS
'&#1055;'=>'P','&#1087;'=>'p', // PE
'&#1190;'=>'P','&#1191;'=>'p', // PE WITH MIDDLE HOOK
'&#1056;'=>'R','&#1088;'=>'r', // ER
'&#1057;'=>'S','&#1089;'=>'s', // ES
'&#1194;'=>'C','&#1195;'=>'c', // ES WITH DESCENDER
'&#1058;'=>'T','&#1090;'=>'t', // TE
'&#1196;'=>'T','&#1197;'=>'t', // TE WITH DESCENDER
'&#1035;'=>'C','&#1115;'=>'c', // TSHE
'&#1036;'=>'K','&#1116;'=>'k', // KJE
'&#1059;'=>'U','&#1091;'=>'u', // U
'&#1038;'=>'U','&#1118;'=>'u', // SHORT U
'&#1262;'=>'U','&#1263;'=>'u', // U WITH MACRON
'&#1264;'=>'U','&#1265;'=>'u', // U WITH DIAERESIS
'&#1266;'=>'U','&#1267;'=>'u', // U WITH DOUBLE ACUTE
'&#1198;'=>'U','&#1199;'=>'u', // STRAIGHT U
'&#1200;'=>'U','&#1201;'=>'u', // STRAIGHT U WITH STROKE
'&#1060;'=>'F','&#1092;'=>'f', // EF
'&#1061;'=>'H','&#1093;'=>'h', // HA
'&#1202;'=>'H','&#1203;'=>'h', // HA WITH DESCENDER
'&#1210;'=>'H','&#1211;'=>'h', // SHHA
'&#1062;'=>'C','&#1094;'=>'c', // TSE
'&#1204;'=>'C','&#1205;'=>'c', // LIGATURE TE TSE
'&#1063;'=>'C','&#1095;'=>'c', // CHE
'&#1268;'=>'C','&#1269;'=>'c', // CHE WITH DIAERESIS
'&#1206;'=>'C','&#1207;'=>'c', // CHE WITH DESCENDER
'&#1208;'=>'C','&#1209;'=>'c', // CHE WITH VERTICAL STROKE
'&#1039;'=>'D','&#1119;'=>'d', // DZHE
'&#1064;'=>'S','&#1096;'=>'s', // SHA
'&#1065;'=>'S','&#1097;'=>'s', // SHCHA
'&#1067;'=>'Y','&#1099;'=>'y', // YERU
'&#1272;'=>'Y','&#1273;'=>'y', // YERU WITH DIAERESIS
'&#1069;'=>'E','&#1101;'=>'e', // E
'&#1260;'=>'E','&#1261;'=>'e', // E WITH DIAERESIS
'&#1070;'=>'U','&#1102;'=>'u', // YU
'&#1071;'=>'A','&#1103;'=>'a', // YA
'&#1122;'=>'E','&#1123;'=>'e', // YAT
'&#1130;'=>'A','&#1131;'=>'a', // BIG YUS
'&#1138;'=>'F','&#1139;'=>'f', // FITA
'&#1140;'=>'Y','&#1141;'=>'y', // IZHITSA
'&#1142;'=>'Y','&#1143;'=>'y', // IZHITSA WITH DOUBLE GRAVE ACCENT
'&#1192;'=>'O','&#1193;'=>'o', // ABKHASIAN HA
'&#1120;'=>'O','&#1121;'=>'o', // OMEGA
'&#1124;'=>'E','&#1125;'=>'e', // IOTIFIED E
'&#1126;'=>'U','&#1127;'=>'u', // LITTLE YUS (???)
'&#1128;'=>'U','&#1129;'=>'u', // IOTIFIED LITTLE YUS (???)
'&#1132;'=>'U','&#1133;'=>'u', // IOTIFIED BIG YUS (???)
'&#1134;'=>'K','&#1135;'=>'k', // KSI (???)
'&#1136;'=>'P','&#1137;'=>'p', // PSI (???)
'&#1144;'=>'U','&#1145;'=>'u', // UK
'&#1146;'=>'O','&#1147;'=>'o', // ROUND OMEGA (???)
'&#1148;'=>'O','&#1149;'=>'o', // OMEGA WITH TITLO (???)
'&#1150;'=>'O','&#1151;'=>'o', // OT (???)
'&#1152;'=>'K','&#1153;'=>'k', // KOPPA (???)
'&#1162;'=>'J','&#1163;'=>'j', // SHORT I WITH TAIL
'&#1166;'=>'R','&#1166;'=>'r', // ER WITH TICK
'&#1176;'=>'Z','&#1177;'=>'z', // ZE WITH DESCENDER
'&#1219;'=>'K','&#1220;'=>'k', // KA WITH HOOK
'&#1221;'=>'L','&#1222;'=>'l', // EL WITH TAIL
'&#1223;'=>'N','&#1224;'=>'n', // EN WITH HOOK
'&#1225;'=>'N','&#1226;'=>'n', // EN WITH TAIL
'&#1227;'=>'C','&#1228;'=>'c', // KHAKASSIAN CHE
'&#1229;'=>'M','&#1230;'=>'m', // EM WITH TAIL
// specialchars
'&#1098;'=>'-','&#1066;'=>'-', // HARD SIGN
'&#1068;'=>'-','&#1100;'=>'-', // SOFT SIGN
'&#1164;'=>'-', // SEMISOFT SIGN
'&#1216;'=>'-', // PALOCHKA
'&#769;'=>'',

//### (new) GREEK (transcription following wikipedia: http://de.wikipedia.org/w/index.php?title=Wikipedia:Namenskonventionen/Neugriechisch&oldid=29601735 )
// groups of two chars
'&alpha;&iota;'=>'e','&Alpha;&iota;'=>'E',
'&epsilon;&iota;'=>'i','&Epsilon;&iota;'=>'I',
'&omicron;&iota;'=>'i','&Omicron;&iota;'=>'I',
'&omicron;&upsilon;'=>'ou','&Omicron;&upsilon;'=>'Ou',
'&alpha;&upsilon;'=>'av','&Alpha;&upsilon;'=>'Av',
'&epsilon;&upsilon;'=>'ev','&Epsilon;&upsilon;'=>'Ev',
'&eta;&upsilon;'=>'iv','&Eta;&upsilon;'=>'Iv',
'&mu;&pi;'=>'mp','&Mu;&pi;'=>'B',
'&nu;&tau;'=>'nt','&Nu;&tau;'=>'D',
'&tau;&zeta;'=>'tz','&Tau;&zeta;'=>'Tz',
'&gamma;&kappa;'=>'ng','&Gamma;&kappa;'=>'G',
'&gamma;&gamma;'=>'ng','&Gamma;&gamma;'=>'Ng',
// single chars
'&#902;'=>'A','&#904;'=>'E','&#905;'=>'I','&#906;'=>'I','&#908;'=>'O','&#910;'=>'Y','&#911;'=>'O','&#912;'=>'i',
'&Alpha;'=>'A','&Beta;'=>'V','&Gamma;'=>'G','&Delta;'=>'D','&Epsilon;'=>'E','&Zeta;'=>'Z','&Eta;'=>'I','&Theta;'=>'Th','&Iota;'=>'I','&Kappa;'=>'K','&Lambda;'=>'L','&Mu;'=>'M','&Nu;'=>'N','&Xi;'=>'X','&Omicron;'=>'O','&Pi;'=>'P','&Rho;'=>'R','&Sigma;'=>'S','&Tau;'=>'T','&Upsilon;'=>'Y','&Phi;'=>'F','&Chi;'=>'Ch','&Psi;'=>'Ps','&Omega;'=>'O',
'&#938;'=>'I','&#939;'=>'Y','&#940;'=>'a','&#941;'=>'e','&#942;'=>'i','&#943;'=>'i','&#944;'=>'y',
'&alpha;'=>'a','&beta;'=>'v','&gamma;'=>'g','&delta;'=>'d','&epsilon;'=>'e','&zeta;'=>'z','&eta;'=>'i','&theta;'=>'th','&iota;'=>'i','&kappa;'=>'k','&lambda;'=>'l','&mu;'=>'m','&nu;'=>'n','&xi;'=>'x','&omicron;'=>'o','&pi;'=>'p','&rho;'=>'r','&sigmaf;'=>'s','&sigma;'=>'s','&tau;'=>'t','&upsilon;'=>'y','&phi;'=>'f','&chi;'=>'ch','&psi;'=>'ps','&omega;'=>'o',
'&#970;'=>'i','&#971;'=>'y','&#972;'=>'o','&#973;'=>'y','&#974;'=>'o','&#976;'=>'b','&thetasym;'=>'th','&upsih;'=>'y','&#979;'=>'y','&#980;'=>'y'

);

?>